Show / Hide Table of Contents

# Class AntiDebug

##### Inheritance

System.Object
AntiDebug

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal

###### Assembly: Dalamud.dll

##### Syntax

    public class AntiDebug : IDisposable

### Constructors

| Improve this Doc View Source

#### AntiDebug(SigScanner)

##### Declaration

    public AntiDebug(SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

### Implements

System.IDisposable